#  Config file for libyui-qt
#  It defines the following variables
#  LIBYUI-QT_INCLUDE_DIRS - include directories for libyui-qt
#  LIBYUI-QT_LIBRARIES    - libraries to link against
#  LIBYUI-QT_PREFIX       - prefix where libyui-qt is installed
#  LIBYUI-QT_SONAME       - soname of libyui-qt
#  LIBYUI-QT_SONAME_MAJOR - soname of libyui-qt
#  LIBYUI-QT_SONAME_MINOR - soname of libyui-qt
#  LIBYUI-QT_SONAME_PATCH - soname of libyui-qt

# Export the SONAME for use by plugins
SET( LIBYUI-QT_SONAME "8.0.0" )
SET( LIBYUI-QT_SONAME_MAJOR "8" )
SET( LIBYUI-QT_SONAME_MINOR "0" )
SET( LIBYUI-QT_SONAME_PATCH "0" )

# Compute paths
SET( LIBYUI-QT_PREFIX "/usr" )
GET_FILENAME_COMPONENT( LIBYUI-QT_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH )
IF( EXISTS "${LIBYUI-QT_CMAKE_DIR}/CMakeCache.txt" )
   # In build tree
   INCLUDE( "${LIBYUI-QT_CMAKE_DIR}/Libyui-qtBuildTreeSettings.cmake" )
ELSE()
   SET( LIBYUI-QT_INCLUDE_DIRS /usr/include/yui/qt /usr/include/yui/qt/.. )
ENDIF()

# Our library dependencies (contains definitions for IMPORTED targets)
INCLUDE( "${LIBYUI-QT_CMAKE_DIR}/Libyui-qtLibraryDepends.cmake" )

# These are IMPORTED targets created by Libyui-qtLibraryDepends.cmake
SET( LIBYUI-QT_LIBRARIES yui-qt )

MESSAGE( STATUS "Found Libyui-qt: ${IMPORTED_LOCATION_RELEASE} (Version: 2.47.1)" )
